require("lualine").setup({
	options = {
		icons_enabled = true,
		theme = 'nightfly',
		component_separators = { left = '', right = '' },
		section_separators = { left = '', right = '' },
		disabled_filetypes = {},
		always_divide_middle = true,
	},
	sections = {
		lualine_a = {'mode'},
		lualine_b = {'filename', 'branch'},
		lualine_c = {
			{
				'diagnostics',
				symbols = {error = 'Errors:', warn = 'Warns:', info = 'Info:', hint = 'Hints:'},
				sources = { 'nvim_diagnostic' }
			}
		},
		lualine_w = {'encoding'},
		lualine_x = {'filetype'},
		lualine_y = {'progress'},
		lualine_z = {'location'}
	},
	inactive_sections = {
		lualine_a = {},
		lualine_b = {},
		lualine_c = {'filename'},
		lualine_x = {'location'},
		lualine_y = {},
		lualine_z = {}
	},
	tabline = {
		lualine_a = {'tabs'},
		lualine_b = {},
		lualine_c = {},
		lualine_x = {},
		lualine_y = {},
		lualine_z = {}
	},
	extensions = {}
})
